Subject: bug#62831: 29.0.90; Emacs-pretest-29.0.90 aarch64 on macOS crashes when receiving a three-finger tap.

From: Sami Lahtinen <[email-masked]>
Date: Sun, 16 Apr 2023 21:16:57 +0300

It seems that installing vterm compiles something called "vterm-module".
This seems to be necessary to reproduce the bug.
So, indeed it seems this is a vterm bug. I will notify vterm developers.
My apologies if reporting this issue here was/is inappropriate.
Thank you,

Sami

su 16. huhtik. 2023 klo 20.29 Sami Lahtinen ([email-masked])
kirjoitti:

>
>
> su 16.4.2023 klo 20.21 Eli Zaretskii <[email-masked]> kirjoitti:
>
>> > From: Sami Lahtinen <[email-masked]>
>> > Date: Sun, 16 Apr 2023 20:07:11 +0300
>> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
>> >
>> > I think I pinpointed the problem.
>> > I was able to reproduce the bug with a minimal init configuration that
>> only loads the vterm package.
>> >
>> > I'll attach the init file here, hope this helps!
>>
>> Thanks.
>>
>> vterm is not part of Emacs, so I suggest to report this to the vterm
>> developers first.
>>
>
> I can do that. But I don’t know if the bug is in vterm as such or just
> something that the vterm package installation “enables” in this particular
> setup, as actually using vterm is not required to replicate the bug. The
> crash happens after simply loading the package. There might be other ways
> of causing this bug as well that might not be related to vterm.
>
> Sami
>
>
>
>